> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rendernet.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Generation

> The delete generation endpoint lets the user delete a specific generation while retaining other generations.



## OpenAPI

````yaml delete /pub/v1/generations/{generation_id}
openapi: 3.0.2
info:
  description: >-
    The Affogato API section provides a comprehensive set of APIs that allow you
    to create high-quality media content using textual and graphical inputs. By
    utilizing the features provided in this section, users can easily generate
    engaging visuals and media assets.You need an API key to use these APIs. To
    get your personal key, log in to Affogato, head to the account page at
    [Affogato](https://affogato.ai/account) and hit generate API key. Add this
    key as an X-API-Key header in the requests that you send.
  title: Affogato API
  version: '1.0'
servers: []
security: []
tags:
  - description: >-
      The Generation section allows users to create, view, and delete images on
      Rendernet.
    name: Generation
  - description: >-
      Explore all available resources that can be used for generating images on
      Rendernet. With this section, users can easily access key details about
      the resources at their disposal.
    name: Resources
  - description: Upload / Get information about assets that can be used for generation.
    name: Assets
paths:
  /pub/v1/generations/{generation_id}:
    delete:
      tags:
        - Generation
      summary: Delete Generation
      description: >-
        The delete generation endpoint lets the user delete a specific
        generation while retaining other generations.
      parameters:
        - description: The id of the generation
          in: path
          name: generation_id
          required: true
          schema:
            type: string
        - description: >-
            API key needed to access our public endpoints. You can find yours
            under the 'Account' section of the website
          required: true
          schema:
            type: string
            title: X-API-KEY
            description: >-
              API key needed to access our public endpoints. You can find yours
              under the 'Account' section of the website
          name: X-API-KEY
          in: header
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArchiveGenerationSuccessResponse'
          description: The id of the deleted generation.
components:
  schemas:
    ArchiveGenerationSuccessResponse:
      properties:
        data:
          $ref: '#/components/schemas/ArchiveGeneration'
          type: object
        err:
          description: The error if the request was not successful
          type: object
      type: object
    ArchiveGeneration:
      properties:
        id:
          description: The id of the deleted generation.
          example: gen_01
          type: string
      type: object

````